﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartDynamicSeriesCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            Random r= new Random();

            for (int i = 1; i <= 8; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Label " + i.ToString(),
                    Y1 = r.Next(1,5),
                    Y2 = r.Next(6,10),
                    Y3 = r.Next(11, 15),
                    Y4 = r.Next(16, 20)
                });
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Y1 { get; set; }
        public int Y2 { get; set; }
        public int Y3 { get; set; }
        public int Y4 { get; set; }
    }
}
